isc-dhcp (4.4.3-P1-4ubuntu2) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 12:43:04 +0200

isc-dhcp (4.4.3-P1-4ubuntu1) noble; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Ubuntu patches:
      + Give-an-example-for-subnet-mask-in-dhcpd.conf.patch
      + dhclient-fix-backoff
      + revert-next-server
      + multi-ip-addr-per-if
      + dhclient-safer-timeout
      + onetry_retry_after_initial_success
      + Add InfiniBand support:
        - dhcp-lpf-ib.patch
        - dhcp-improved-xid.patch
        - dhcp-gpxe-cid.patch
        - dhcp-improved-xid-correct-byte-order.patch
      + dhcp-4.2.4-dhclient-options-changed.patch
      + ubuntu-dhcpd-conf.patch
      + dhclient-write-pidfile-earlier.patch: Write pidfile before informing
        parent of success.
      + bind-outdated-config.guess.patch: run autoreconf in the bind directory.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Add enforcing AppArmor profile for DHCP client and server
    - Increase the timeout to 300 seconds for dhclient.conf (following the
      default added by dhclient-safer-timeout).
    - Separate default file for isc-dhcp-relay6.
    - Create user/group dhcpd and make isc-dhcp-server depend on adduser.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Sanitize environment in dhclient-script.linux.
    - Add systemd units for -server and -relay.
      + If /etc/ltsp/dhcpd.conf exists, use that instead of
        /etc/dhcp/dhcpd.conf.
    - isc-dhcp-server: Suggest policycoreutils instead of recommending it.
    - ipv6: wait for duplicate address detection to finish. LP #1633479
    - Ship dhcp exit hook to push DNS information to resolved. LP #1889068
    - Stop building the udeb on request.
    - debian/rules: Build with -O2 instead on -O3 on ppc64el
    - debian/rules: build with -fno-strict-aliasing.
    - Disable make_resolv_conf() if systemd-resolved is in use.
    - debian/control: add Pre-Depends: ${misc:Pre-Depends} for
      init-system-helpers.
    - debian/apparmor/sbin.dhclient: Allow disabling dhclient hooks.
    - Do not build with DH_VERBOSE=1
  * Dropped changes, included in Debian:
    - Ship keama, the KEA Migration Assistant in a new isc-dhcp-keama binary
      package. (LP: #2020086)
  * Refresh patches (using gbp pq)
  * debian/control: Drop libcap-dev build dependency (no change in diffoscope).
  * Use /run/dhcp-server6 for isc-dhcp-server6 service.
    Thanks to Jason Penney (LP: #1543799)
  * debian/rfc3442-classless-routes.linux: Use configured metric.
    Thanks to Tom Carroll (LP: #1664352)
  * autopkgtest: Use setup logic from isc-dhcp-server.service

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 27 Nov 2023 14:04:49 +0100

isc-dhcp (4.4.3-P1-4) unstable; urgency=low

  [ Athos Ribeiro ]
  * d/p/adjust-keama-tests.patch: do not rely on endianess (Closes: #1054077)

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 20 Oct 2023 09:16:37 -0300

isc-dhcp (4.4.3-P1-3) unstable; urgency=low

  [ Athos Ribeiro ]
  * Ship keama in a new isc-dhcp-keama binary package (Closes: #1036277)
  * Add DEP8 tests for keama
  * d/p/adjust-keama-tests.patch: adjust keama tests
  * d/rules: make keama tests fail on error messages

  [ Santiago Ruano Rincón ]
  * Make dhclient-script exits with error when it is not able to write in the
    temporary file. Patch by Johannes Weißl <jargon@molb.org>
    (Closes: #982894)
  * Import debian/patches/0013-DHCPv6-over-PPP-support-626514.patch
    (Closes: #1015809)
  * Enable ARM builds in salsa-ci.yml
  * Bump Standards-Version to 4.6.2. No changes needed
  * Remove obsolete dependencies on lsb-base and policykit-1. Replace with
    polkitd
  * Fix assignment of dpkg-architecture variables in d/rules
  * Remove the --parallel argument from the call to dh on d/rules

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 15 Sep 2023 21:50:04 +0530

isc-dhcp (4.4.3-P1-2ubuntu5) mantic; urgency=medium

  * Remove initramfs-tools integration from isc-dhcp-client.
    initramfs-tools >= 0.142ubuntu9 uses dhcpcd instead of dhclient.
    (LP: #2024164)
  * autopkgtest: Ensure that /var/lib/dhcp/dhcpd.leases is present

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 05 Sep 2023 12:55:20 +0200

isc-dhcp (4.4.3-P1-2ubuntu4) mantic; urgency=medium

  * Restore execution bits of files in debian/ from previous upload
  * Do not build with DH_VERBOSE=1

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 16 Jun 2023 12:44:01 +0200

isc-dhcp (4.4.3-P1-2ubuntu3) mantic; urgency=medium

  * debian/initramfs-tools/lib/etc/dhcp/dhclient-enter-hooks.d/config:
    - Do not merge DNS domain into DOMAINSEARCH to match ipconfig's behavior
    - add filename and DHCPLEASETIME variables
    - match order of entries with ipconfig's order

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 14 Jun 2023 12:59:49 +0200

isc-dhcp (4.4.3-P1-2ubuntu2) mantic; urgency=medium

  * Ship keama, the KEA Migration Assistant in a new isc-dhcp-keama binary
    package. (LP: #2020086)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 18 May 2023 21:30:57 -0300

isc-dhcp (4.4.3-P1-2ubuntu1) mantic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - debian/control: Add libcap-dev build dependency.
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Add systemd units for -server and -relay.
    - If /etc/ltsp/dhcpd.conf exists, use that instead of
      /etc/dhcp/dhcpd.conf.
    - Create user/group dhcpd and make isc-dhcp-server depend on adduser.
    - isc-dhcp-server: Suggest policycoreutils instead of recommending it.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Increase the timeout to 300 seconds for dhclient.conf (following the
      default added by dhclient-safer-timeout).
    - Sanitize environment in dhclient-script.linux.
    - add IPv6 initramfs support.
    - Separate default file for isc-dhcp-relay6.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - dhclient-script.linux: handle empty case also when waiting for ipv6 link
      local DAD.
    - debian/initramfs-tools/lib/etc/dhcp/dhclient-enter-hooks.d/config: fix
      the logic for handling search domains to also write it to the output
      file when only the domain name is provided by the DHCP server. Copied
      code from debian/dhclient-script.linux.
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + revert-next-server
      + multi-ip-addr-per-if
      + dhclient-safer-timeout
      + onetry_retry_after_initial_success
      + dhcp-lpf-ib.patch
      + dhcp-improved-xid.patch
      + dhcp-gpxe-cid.patch
      + dhcp-improved-xid-correct-byte-order.patch
      + dhcp-4.2.4-dhclient-options-changed.patch
      + ubuntu-dhcpd-conf.patch
    - Apply patch from Alkis Georgopoulos to generate correct
      net{,6}-${iface}.conf files when DHCP supplies multiple DNS servers.
    - Write pidfile before informing parent of success.
    - Ship dhcp exit hook to push DNS information to resolved. LP #1889068
    - debian/apparmor/usr.sbin.dhcpd: also allow r+w on /proc/*/comm and
    /proc/*/task/*/comm (LP #1870729)
    - debian/rules: build with -fno-strict-aliasing.
    - debian/rules: Build with -O2 instead on -O3 on ppc64el
    - Fix env variable for INTERFACES
      + d/isc-dhcp-server.isc-dhcp-server{,6}.service: Replace $INTERFACES
        variable with $INTERFACEv4 and $INTERFACESv6, respectively, for
        respective services file.
    - Stop building the udeb on request.
    - debian/resolved: chown $statedir to systemd-resolve
    - Disable make_resolv_conf() if systemd-resolved is in use.
    - Include /etc/dhcp/dhclient-exit-hooks.d/rfc3442-classless-routes in
      the initramfs.
    - debian/rules: update to use dh_installsystemd.
    - debian/control: add Pre-Depends: ${misc:Pre-Depends} for
      init-system-helpers.
    - drop shebang line from apport hooks; these are sourced not executed
      and /usr/bin/python as an interpreter just confuses things.
    - debian/isc-dhcp-server.postinst: dhcpd user home directory on new
      installs should be /run, not /var/run.  No handling of migration at this
      time.
    - debian/patches/bind-outdated-config.guess.patch: run autoreconf in
      the bind directory.
    - Reorder the initramfs hook so that all files end up in the right
      directories.
    - debian/apparmor/sbin.dhclient: Allow disabling dhclient hooks.
  * Dropped changes, included in Debian:
    - Apparmor profiles for dhclient and dhcpd.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 18 May 2023 08:39:52 -0700

isc-dhcp (4.4.3-P1-2) unstable; urgency=medium

  [ Gabriel Potter ]
  * Support bound /etc/resolv.conf (Closes: #1034502)

  [ Bastian Germann ]
  * d/copyright Format: Add trailing slash

  [ Santiago Ruano Rincón ]
  * Add NEWS about isc-dhcp-server EOL'ed and its apparmor profile
  * Test debian/tests/client-server

 -- Santiago Ruano Rincón <santiago@debian.org>  Mon, 17 Apr 2023 14:20:02 +0200

isc-dhcp (4.4.3-P1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport missing IPv6 address lifetime handling. (closes: #1022969)

 -- Bastian Blank <waldi@debian.org>  Mon, 09 Jan 2023 10:15:41 +0100

isc-dhcp (4.4.3-P1-1ubuntu2) mantic; urgency=medium

  * debian/apparmor/sbin.dhclient: Allow disabling dhclient hooks. LP: #2011628

 -- Brett Holman <brett.holman@canonical.com>  Fri, 17 Mar 2023 15:38:35 -0600

isc-dhcp (4.4.3-P1-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/control: Add libcap-dev build dependency.
    - Apparmor profiles for dhclient and dhcpd.
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Add systemd units for -server and -relay.
    - If /etc/ltsp/dhcpd.conf exists, use that instead of
      /etc/dhcp/dhcpd.conf.
    - Create user/group dhcpd and make isc-dhcp-server depend on adduser.
    - isc-dhcp-server: Suggest policycoreutils instead of recommending it.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Increase the timeout to 300 seconds for dhclient.conf (following the
      default added by dhclient-safer-timeout).
    - Sanitize environment in dhclient-script.linux.
    - add IPv6 initramfs support.
    - Separate default file for isc-dhcp-relay6.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - dhclient-script.linux: handle empty case also when waiting for ipv6 link
      local DAD.
    - debian/initramfs-tools/lib/etc/dhcp/dhclient-enter-hooks.d/config: fix
      the logic for handling search domains to also write it to the output
      file when only the domain name is provided by the DHCP server. Copied
      code from debian/dhclient-script.linux.
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + revert-next-server
      + multi-ip-addr-per-if
      + dhclient-safer-timeout
      + onetry_retry_after_initial_success
      + dhcp-lpf-ib.patch
      + dhcp-improved-xid.patch
      + dhcp-gpxe-cid.patch
      + dhcp-improved-xid-correct-byte-order.patch
      + dhcp-4.2.4-dhclient-options-changed.patch
      + ubuntu-dhcpd-conf.patch
    - Apply patch from Alkis Georgopoulos to generate correct
      net{,6}-${iface}.conf files when DHCP supplies multiple DNS servers.
    - Write pidfile before informing parent of success.
    - Ship dhcp exit hook to push DNS information to resolved. LP #1889068
    - debian/apparmor/usr.sbin.dhcpd: also allow r+w on /proc/*/comm and
    /proc/*/task/*/comm (LP #1870729)
    - debian/apparmor/sbin.dhclient: also properly confine /usr/sbin/dhclient
    (LP #1850820)
    - debian/rules: build with -fno-strict-aliasing.
    - debian/rules: Build with -O2 instead on -O3 on ppc64el
    - Fix env variable for INTERFACES
      + d/isc-dhcp-server.isc-dhcp-server{,6}.service: Replace $INTERFACES
        variable with $INTERFACEv4 and $INTERFACESv6, respectively, for
        respective services file.
    - Stop building the udeb on request.
    - debian/resolved: chown $statedir to systemd-resolve
    - d/apparmor/sbin.dhclient: fix apparmor="DENIED" errors
    - Disable make_resolv_conf() if systemd-resolved is in use.
    - Include /etc/dhcp/dhclient-exit-hooks.d/rfc3442-classless-routes in
      the initramfs.
    - debian/rules: update to use dh_installsystemd.
    - debian/control: add Pre-Depends: ${misc:Pre-Depends} for
      init-system-helpers.
    - drop shebang line from apport hooks; these are sourced not executed
      and /usr/bin/python as an interpreter just confuses things.
    - debian/isc-dhcp-server.postinst: dhcpd user home directory on new
      installs should be /run, not /var/run.  No handling of migration at this
      time.
    - debian/patches/bind-outdated-config.guess.patch: run autoreconf in
      the bind directory.
    - Reorder the initramfs hook so that all files end up in the right
      directories.
  * Dropped patches, included upstream:
    - debian/patches/CVE-2022-2928.patch
    - debian/patches/CVE-2022-2929.patch

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 28 Nov 2022 14:34:02 +0000

isc-dhcp (4.4.3-P1-1) unstable; urgency=low

  * New upstream version 4.4.3-P1
  * Remove no longer needed CVE-2022-2928.patch and CVE-2022-2929.patch

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 13 Oct 2022 14:12:54 +0200

isc-dhcp (4.4.3-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * An option refcount overflow exists in dhcpd (CVE-2022-2928)
    (Closes: #1021320)
  * DHCP memory leak (CVE-2022-2929) (Closes: #1021320)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 06 Oct 2022 22:20:47 +0200

isc-dhcp (4.4.3-2ubuntu4) kinetic; urgency=medium

  * SECURITY UPDATE: option refcount overflow
    - debian/patches/CVE-2022-2928.patch: correct reference counts in
      common/options.c, common/tests/option_unittest.c.
    - CVE-2022-2928
  * SECURITY UPDATE: DHCP memory leak
    - debian/patches/CVE-2022-2929.patch: properly free memory when hitting
      errors in common/options.c.
    - CVE-2022-2929

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 06 Oct 2022 10:15:25 -0400

isc-dhcp (4.4.3-2ubuntu3) kinetic; urgency=medium

  * Reorder the initramfs hook so that all files end up in the right
    directories.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 16 Aug 2022 22:35:10 +0000

isc-dhcp (4.4.3-2ubuntu2) kinetic; urgency=medium

  * debian/patches/bind-outdated-config.guess.patch: run autoreconf in
    the bind directory.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 14 Aug 2022 18:04:18 +0000

isc-dhcp (4.4.3-2ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/control: Add libcap-dev build dependency.
    - Apparmor profiles for dhclient and dhcpd.
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Add systemd units for -server and -relay.
    - If /etc/ltsp/dhcpd.conf exists, use that instead of
      /etc/dhcp/dhcpd.conf.
    - Create user/group dhcpd and make isc-dhcp-server depend on adduser.
    - isc-dhcp-server: Suggest policycoreutils instead of recommending it.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Increase the timeout to 300 seconds for dhclient.conf (following the
      default added by dhclient-safer-timeout).
    - Sanitize environment in dhclient-script.linux.
    - add IPv6 initramfs support.
    - Separate default file for isc-dhcp-relay6.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - dhclient-script.linux: handle empty case also when waiting for ipv6 link
      local DAD.
    - debian/initramfs-tools/lib/etc/dhcp/dhclient-enter-hooks.d/config: fix
      the logic for handling search domains to also write it to the output
      file when only the domain name is provided by the DHCP server. Copied
      code from debian/dhclient-script.linux.
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + revert-next-server
      + multi-ip-addr-per-if
      + dhclient-safer-timeout
      + onetry_retry_after_initial_success
      + dhcp-lpf-ib.patch
      + dhcp-improved-xid.patch
      + dhcp-gpxe-cid.patch
      + dhcp-improved-xid-correct-byte-order.patch
      + dhcp-4.2.4-dhclient-options-changed.patch
      + ubuntu-dhcpd-conf.patch
    - Apply patch from Alkis Georgopoulos to generate correct
      net{,6}-${iface}.conf files when DHCP supplies multiple DNS servers.
    - Write pidfile before informing parent of success.
    - Ship dhcp exit hook to push DNS information to resolved. LP #1889068
    - debian/apparmor/usr.sbin.dhcpd: also allow r+w on /proc/*/comm and
    /proc/*/task/*/comm (LP #1870729)
    - debian/apparmor/sbin.dhclient: also properly confine /usr/sbin/dhclient
    (LP #1850820)
    - debian/rules: build with -fno-strict-aliasing.
    - debian/rules: Build with -O2 instead on -O3 on ppc64el
    - Fix env variable for INTERFACES
      + d/isc-dhcp-server.isc-dhcp-server{,6}.service: Replace $INTERFACES
        variable with $INTERFACEv4 and $INTERFACESv6, respectively, for
        respective services file.
    - Stop building the udeb on request.
    - debian/resolved: chown $statedir to systemd-resolve
    - d/apparmor/sbin.dhclient: fix apparmor="DENIED" errors
    - Disable make_resolv_conf() if systemd-resolved is in use.
    - Include /etc/dhcp/dhclient-exit-hooks.d/rfc3442-classless-routes in
      the initramfs.
  * Dropped changes, superseded in Debian:
    - Build-depend on debhelper (>= 9.20160709) for systemd support.
  * debian/patches/dhclient-safer-timeout,
    debian/patches/dhcp-4.2.4-dhclient-options-changed.patch,
    debian/patches/dhcp-gpxe-cid.patch,
    debian/patches/dhcp-improved-xid-correct-byte-order.patch,
    debian/patches/dhcp-improved-xid.patch, debian/patches/dhcp-lpf-ib.patch,
    debian/patches/multi-ip-addr-per-if: refresh.
  * debian/rules: update to use dh_installsystemd.
  * debian/control: add Pre-Depends: ${misc:Pre-Depends} for
    init-system-helpers.
  * drop shebang line from apport hooks; these are sourced not executed
    and /usr/bin/python as an interpreter just confuses things.
  * debian/isc-dhcp-server.postinst: dhcpd user home directory on new
    installs should be /run, not /var/run.  No handling of migration at this
    time.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Aug 2022 16:36:51 -0700

isc-dhcp (4.4.3-2) unstable; urgency=medium

  * Explicitly link against -latomic to fix FTBFS on mipsel, m68k, powerpc and
    sh4

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 26 May 2022 21:31:55 +0200

isc-dhcp (4.4.3-1) unstable; urgency=low

  * New upstream version 4.4.3
  * Refresh fix-manpage-macro.patch
  * Refresh fix-spelling.patch
  * Disable dhclient-script-exit-status.patch. Upstream has fixed the related
    bug (#123)
  * Use bundled BIND libraries instead of libbind-export-dev (Closes: #942502)
  * Bump debhelper-compat to 13
  * Remove Fixed_gcc_10_compilation_issues.patch
  * Fix some install paths to make dh_missing happy
  * Add EOM NEWS for client and relay
  * Fix handling of stale pid file for init.d/dhcpd start. Thanks to H.-Dirk
    Schmitt <dirk@computer42.org> (Closes: #1009209)
  * Bump Standards-Version to 4.6.0.1. No changes required
  * Bump d/watch version to 4.
  * Update d/copyright

 -- Santiago Ruano Rincón <santiago@debian.org>  Fri, 06 May 2022 17:24:11 +0200

isc-dhcp (4.4.2-P1-1) unstable; urgency=low

  [ Santiago Ruano Rincón ]
  * Fix debian/watch to make it take into account upstream security releases
    (e.g. -P1)
  * Update upstream signing key: replace revoked one by
    2455774D42FDFE6B9C383EB8FE1002BC5970811F
  * Add myself to Uploaders (Closes: #1000662)
  * Remove Files-Excluded from d/copyright
  * New upstream version 4.4.2-P1 (Closes: #975729)
  * Refresh configure.patch, disable-nsupdate.patch, system-bind.patch
  * Remove no longer needed patches: 4.4.2.CVE-2021-25217.patch
    CVE-2017-3144.patch CVE-2018-5732.patch CVE-2018-5733.patch
  * Move Vcs-* to debian/ namespace
  * Use https in d/watch and d/copyright

  [ Bernhard Schmidt ]
  * Add Salsa CI (again)

 -- Santiago Ruano Rincón <santiago@debian.org>  Thu, 24 Feb 2022 11:24:43 +0100

isc-dhcp (4.4.1-2.3ubuntu6) kinetic; urgency=medium

  * Include /etc/dhcp/dhclient-exit-hooks.d/rfc3442-classless-routes in the
    initramfs.  LP: #1937110.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 05 Aug 2022 23:58:14 +0000

isc-dhcp (4.4.1-2.3ubuntu5) kinetic; urgency=medium

  * Disable make_resolv_conf() if systemd-resolved is in use (LP: #1972029)
    This functionality was moved from systemd 246-2ubuntu1 (enter-hook) to
    isc-dhcp 4.4.1-2.1ubuntu7 (exit-hook). The part overriding
    make_resolv_conf() was dropped, but is needed to avoid it overriding
    /etc/resolv.conf, managed by sd-resolved (stub-resolv.conf).

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 18 Jul 2022 15:50:13 +0200

isc-dhcp (4.4.1-2.3ubuntu4) kinetic; urgency=medium

  * d/apparmor/sbin.dhclient: fix apparmor="DENIED" errors (LP: #1918410)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 21 Jun 2022 12:21:09 +0200

isc-dhcp (4.4.1-2.3ubuntu3) kinetic; urgency=medium

  * debian/resolved: chown $statedir to systemd-resolve (LP: #1896772)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 05 May 2022 10:27:34 +0200

isc-dhcp (4.4.1-2.3ubuntu2) jammy; urgency=high

  * No change rebuild for ppc64el baseline bump.

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 24 Mar 2022 12:59:39 +0100

isc-dhcp (4.4.1-2.3ubuntu1) impish; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Add libcap-dev build dependency.
    - Apparmor profiles for dhclient and dhcpd.
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Add systemd units for -server and -relay.
    - If /etc/ltsp/dhcpd.conf exists, use that instead of
      /etc/dhcp/dhcpd.conf.
    - Create user/group dhcpd and make isc-dhcp-server depend on adduser.
    - isc-dhcp-server: Suggest policycoreutils instead of recommending it.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Increase the timeout to 300 seconds for dhclient.conf (following the
      default added by dhclient-safer-timeout).
    - Sanitize environment in dhclient-script.linux.
    - add IPv6 initramfs support.
    - Separate default file for isc-dhcp-relay6.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - dhclient-script.linux: handle empty case also when waiting for ipv6 link
      local DAD.
    - debian/initramfs-tools/lib/etc/dhcp/dhclient-enter-hooks.d/config: fix
      the logic for handling search domains to also write it to the output
      file when only the domain name is provided by the DHCP server. Copied
      code from debian/dhclient-script.linux.
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + revert-next-server
      + multi-ip-addr-per-if
      + dhclient-safer-timeout
      + onetry_retry_after_initial_success
      + dhcp-lpf-ib.patch
      + dhcp-improved-xid.patch
      + dhcp-gpxe-cid.patch
      + dhcp-improved-xid-correct-byte-order.patch
      + dhcp-4.2.4-dhclient-options-changed.patch
      + ubuntu-dhcpd-conf.patch
    - Apply patch from Alkis Georgopoulos to generate correct
      net{,6}-${iface}.conf files when DHCP supplies multiple DNS servers.
    - Build-depend on debhelper (>= 9.20160709) for systemd support.
    - Write pidfile before informing parent of success.
    - Ship dhcp exit hook to push DNS information to resolved. LP #1889068
    - debian/apparmor/usr.sbin.dhcpd: also allow r+w on /proc/*/comm and
    /proc/*/task/*/comm (LP #1870729)
    - debian/apparmor/sbin.dhclient: also properly confine /usr/sbin/dhclient
    (LP #1850820)
    - debian/rules: build with -fno-strict-aliasing.
    - debian/rules: Build with -O2 instead on -O3 on ppc64el
    - Fix env variable for INTERFACES
      + d/isc-dhcp-server.isc-dhcp-server{,6}.service: Replace $INTERFACES
        variable with $INTERFACEv4 and $INTERFACESv6, respectively, for
        respective services file.
    - Stop building the udeb on request.
  * Dropped Ubuntu changes:
    - debian/patches/CVE-2021-25217.patch, applied in Debian

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 09 Aug 2021 13:31:01 +0200

isc-dhcp (4.4.1-2.3) unstable; urgency=high

  * Non-maintainer upload.
  * A buffer overrun in lease file parsing code can be used to exploit a
    common vulnerability shared by dhcpd and dhclient (CVE-2021-25217)
    (Closes: #989157)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 27 May 2021 06:59:48 +0200

isc-dhcp (4.4.1-2.2ubuntu9) impish; urgency=medium

  * No-change rebuild due to OpenLDAP soname bump.

 -- Sergio Durigan Junior <sergio.durigan@canonical.com>  Mon, 21 Jun 2021 17:49:00 -0400

isc-dhcp (4.4.1-2.2ubuntu8) impish; urgency=medium

  * Fix regression caused by rebuild with newer toolchain (LP: #1930917)
    - debian/rules: build with -fno-strict-aliasing.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 07 Jun 2021 08:25:03 -0400

isc-dhcp (4.4.1-2.2ubuntu7) impish; urgency=medium

  * SECURITY UPDATE: DoS via incorrect option information parsing
    - debian/patches/CVE-2021-25217.patch: fix parsing in common/parse.c.
    - CVE-2021-25217

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 May 2021 06:45:17 -0400

isc-dhcp (4.4.1-2.2ubuntu6) hirsute; urgency=medium

  * d/rules: Build with -O2 instead on -O3 on ppc64el
    to work around network-manager's regression.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Mon, 08 Mar 2021 16:37:18 +0530

isc-dhcp (4.4.1-2.2ubuntu5) hirsute; urgency=medium

  * Fix env variable for INTERFACES (LP: #1894172)
    - d/isc-dhcp-server.isc-dhcp-server{,6}.service: Replace $INTERFACES
      variable with $INTERFACEv4 and $INTERFACESv6, respectively, for
      respective services file.

 -- Utkarsh Gupta <utkarsh.gupta@canonical.com>  Fri, 26 Feb 2021 18:57:38 +0530

isc-dhcp (4.4.1-2.2ubuntu4) hirsute; urgency=medium

  * Stop building the udeb on request.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2021 12:04:15 +0100

isc-dhcp (4.4.1-2.2ubuntu2) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:16:19 +0000

isc-dhcp (4.4.1-2.2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Add libcap-dev build dependency.
    - Apparmor profiles for dhclient and dhcpd.
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Add systemd units for -server and -relay.
    - If /etc/ltsp/dhcpd.conf exists, use that instead of
      /etc/dhcp/dhcpd.conf.
    - Create user/group dhcpd and make isc-dhcp-server depend on adduser.
    - isc-dhcp-server: Suggest policycoreutils instead of recommending it.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Increase the timeout to 300 seconds for dhclient.conf (following the
      default added by dhclient-safer-timeout).
    - Sanitize environment in dhclient-script.linux.
    - add IPv6 initramfs support.
    - Separate default file for isc-dhcp-relay6.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - dhclient-script.linux: handle empty case also when waiting for ipv6 link
      local DAD.
    - debian/initramfs-tools/lib/etc/dhcp/dhclient-enter-hooks.d/config: fix
      the logic for handling search domains to also write it to the output
      file when only the domain name is provided by the DHCP server. Copied
      code from debian/dhclient-script.linux.
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + revert-next-server
      + multi-ip-addr-per-if
      + dhclient-safer-timeout
      + onetry_retry_after_initial_success
      + dhcp-lpf-ib.patch
      + dhcp-improved-xid.patch
      + dhcp-gpxe-cid.patch
      + dhcp-improved-xid-correct-byte-order.patch
      + dhcp-4.2.4-dhclient-options-changed.patch
      + ubuntu-dhcpd-conf.patch
    - Apply patch from Alkis Georgopoulos to generate correct
      net{,6}-${iface}.conf files when DHCP supplies multiple DNS servers.
    - Build-depend on debhelper (>= 9.20160709) for systemd support.
    - Write pidfile before informing parent of success.
    - Ship dhcp exit hook to push DNS information to resolved. LP #1889068
    - debian/apparmor/usr.sbin.dhcpd: also allow r+w on /proc/*/comm and
    /proc/*/task/*/comm (LP #1870729)
    - debian/apparmor/sbin.dhclient: also properly confine /usr/sbin/dhclient
    (LP #1850820)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 15 Feb 2021 11:40:03 +0000

isc-dhcp (4.4.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due gcc 10 compilation issues in client/dhclient.c,
    common/discover.c, relay/dhcrelay.c, server/mdb.c, server/mdb6.c
    (closes: 957379).

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Wed, 05 Aug 2020 23:08:47 -0300

isc-dhcp (4.4.1-2.1ubuntu9) groovy; urgency=medium

  * Revert 4.4.1-2.1ubuntu8, network-manager autopkgtests regress on
    ppc64el.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 12 Aug 2020 10:33:55 +0100

isc-dhcp (4.4.1-2.1ubuntu8) groovy; urgency=medium

  * Fix building with gcc-10
    - debian/patches/Fixed_gcc_10_compilation_issues.patch:
      Fixed FTBFS when use gcc 10 compile making extern local_port,
      remote_port, dhcp_type_host variables, and eliminated memcpy string
      overflow error in client/dhclient.c, common/discover.c, relay/dhcrelay.c,
      server/mdb.c, and server/mdb6.c.
    - Revert previous changes to debian/rules, debian/control
      to use gcc-9.

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 07 Aug 2020 11:48:45 -0300

isc-dhcp (4.4.1-2.1ubuntu7) groovy; urgency=medium

  * Ship dhcp exit hook to push DNS information to resolved. LP: #1889068
  * Build with gcc-9, as isc-dhcp fails to build from source with gcc-10.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 27 Jul 2020 12:19:06 +0100

isc-dhcp (4.4.1-2.1ubuntu6) groovy; urgency=medium

  * No-change rebuild for new bind 9.11.18 libs.

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 18 May 2020 17:19:12 -0300

isc-dhcp (4.4.1-2.1ubuntu5) focal; urgency=medium

  * debian/apparmor/usr.sbin.dhcpd: also allow write on /proc/*/comm and
    /proc/*/task/*/comm (LP: #1870729)

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 10 Apr 2020 17:21:12 +0000

isc-dhcp (4.4.1-2.1ubuntu4) focal; urgency=medium

  * debian/apparmor/usr.sbin.dhcpd: allow owner read on /proc/*/comm and
    /proc/*/task/*/comm (LP: #1870729)

 -- Jamie Strandboge <jamie@ubuntu.com>  Mon, 06 Apr 2020 21:58:35 +0000

isc-dhcp (4.4.1-2.1ubuntu3) focal; urgency=medium

  * debian/apparmor/sbin.dhclient: also properly confine /usr/sbin/dhclient
    (LP: #1850820)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Mar 2020 09:16:03 -0400

isc-dhcp (4.4.1-2.1ubuntu2) focal; urgency=medium

  * No-change rebuild for new bind 9.11.16 libs.

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 25 Feb 2020 17:36:58 -0300

isc-dhcp (4.4.1-2.1ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control: Add libcap-dev build dependency.
    - Apparmor profiles for dhclient and dhcpd.
    - Apport hook for isc-dhcp-client and isc-dhcp-server.
    - Add systemd units for -server and -relay.
    - If /etc/ltsp/dhcpd.conf exists, use that instead of
      /etc/dhcp/dhcpd.conf.
    - Create user/group dhcpd and make isc-dhcp-server depend on adduser.
    - isc-dhcp-server: Suggest policycoreutils instead of recommending it.
    - Create /etc/dhcp/ddns-keys/ for DDNS updates.
    - Increase the timeout to 300 seconds for dhclient.conf (following the
      default added by dhclient-safer-timeout).
    - Sanitize environment in dhclient-script.linux.
    - add IPv6 initramfs support.
    - Separate default file for isc-dhcp-relay6.
    - Drop isc-dhcp-server/new_auth_behavior question from high to medium
    - dhclient-script.linux: handle empty case also when waiting for ipv6 link
      local DAD.
    - debian/initramfs-tools/lib/etc/dhcp/dhclient-enter-hooks.d/config: fix
      the logic for handling search domains to also write it to the output
      file when only the domain name is provided by the DHCP server. Copied
      code from debian/dhclient-script.linux.
    - Remaining Ubuntu patches:
      + dhclient-fix-backoff
      + revert-next-server
      + multi-ip-addr-per-if
      + dhclient-safer-timeout
      + onetry_retry_after_initial_success
      + dhcp-lpf-ib.patch
      + dhcp-improved-xid.patch
      + dhcp-gpxe-cid.patch
      + dhcp-improved-xid-correct-byte-order.patch
      + dhcp-4.2.4-dhclient-options-changed.patch
      + ubuntu-dhcpd-conf.patch
    - Apply patch from Alkis Georgopoulos to generate correct
      net{,6}-${iface}.conf files when DHCP supplies multiple DNS servers.
    - Build-depend on debhelper (>= 9.20160709) for systemd support.
    - Write pidfile before informing parent of success.
  * Dropped changes, no longer needed:
    - debian/patches/system-bind.patch: restore Ubuntu delta required for
      building with -Wl,--as-needed.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 22:17:32 -0800

isc-dhcp (4.4.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to gcc-9 adding --as-needed by default; patch by Reiner
    Herrmann (Closes: #925720)

 -- Paul Gevers <elbrus@debian.org>  Wed, 22 Jan 2020 22:35:14 +0100

isc-dhcp (4.4.1-2ubuntu6) focal; urgency=medium

  * No-change rebuild for new bind 9.11.14 libs.

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 15 Jan 2020 15:08:48 -0300

isc-dhcp (4.4.1-2ubuntu5) eoan; urgency=medium

  * Apply patch from Alkis Georgopoulos to generate correct
    net{,6}-${iface}.conf files when DHCP supplies multiple DNS servers.
    (LP: #1840965).

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 03 Sep 2019 10:10:56 +1200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog isc-dhcp-common`.
